use std::io;

struct BankAccount {
    account_holder: String,
    balance: f64,
}

impl BankAccount {
    // Создание новой учетной записи
    fn new(account_holder: String, initial_balance: f64) -> BankAccount {
        BankAccount {
            account_holder,
            balance: initial_balance,
        }
    }

    // Метод для пополнения счета
    fn deposit(&mut self, amount: f64) {
        if amount > 0.0 {
            self.balance += amount;
            println!("Deposited: {}", amount);
        } else {
            println!("Invalid deposit amount.");
        }
    }

    // Метод для снятия средств
    fn withdraw(&mut self, amount: f64) {
        if amount > 0.0 && amount <= self.balance {
            self.balance -= amount;
            println!("Withdrawn: {}", amount);
        } else {
            println!("Invalid or insufficient funds.");
        }
    }

    // Метод для отображения текущего баланса
    fn show_balance(&self) {
        println!("Account Holder: {}", self.account_holder);
        println!("Balance: {:.2}", self.balance);
    }
}

fn main() {
    // Создаем объект банковского аккаунта
    let mut account = BankAccount::new("John Doe".to_string(), 1000.0);

    // Выполняем операции с аккаунтом
    account.show_balance();
    account.deposit(500.0);
    account.withdraw(200.0);
    account.show_balance();
}